report = new com.posics.pos.reports.PanelReportBean();

report.setTitleKey("Menu.PurchaseTaxLog");
report.setReport("/com/posics/reports/purchasetaxlog");
report.setResourceBundle("com/posics/reports/purchasetaxlog");

report.setSentence("SELECT P.DELIVERYDATE AS PI_DATE, P.REFERENCE AS PI_NO, S.NAME AS SUPPLIER, S.TAXID AS TRN, (PT.BASEAMOUNT +PT.TAXAMOUNT) AS MONEY, PT.TAXAMOUNT AS TAX "+
                "FROM PURCHASEINVOICE P "+
                "JOIN PURCHASEINVOICETAXES PT ON PT.PIID = P.ID "+
                "JOIN SUPPLIERS S ON P.SUPPLIERID=S.ID "+
                "WHERE (P.STATUS=2 OR P.STATUS=-2) AND ?(QBF_FILTER) " +
                "GROUP BY P.ID " +
                "ORDER BY P.DELIVERYDATE");
report.addParameter("P.DELIVERYDATE");
report.addParameter("P.DELIVERYDATE");
paramdates = new com.posics.pos.reports.JParamsDatesInterval();
paramdates.setStartDate(com.posics.beans.DateUtils.getToday());
report.addQBFFilter(paramdates);

report.addField("PI_DATE", com.posics.data.loader.Datas.TIMESTAMP);
report.addField("PI_NO", com.posics.data.loader.Datas.STRING);
report.addField("SUPPLIER", com.posics.data.loader.Datas.STRING);
report.addField("TRN", com.posics.data.loader.Datas.STRING);
report.addField("MONEY", com.posics.data.loader.Datas.DOUBLE);
report.addField("TAX", com.posics.data.loader.Datas.DOUBLE);

return report;